Skip to main content
GET
/
platforms
/
instagram
/
accounts
/
{id}
/
stories
List active Instagram stories
curl --request GET \
  --url https://api.social-api.ai/v1/platforms/instagram/accounts/{id}/stories \
  --header 'Authorization: <api-key>'
{
  "count": 123,
  "data": [
    {
      "account_id": "<string>",
      "caption": "<string>",
      "comments_count": 123,
      "id": "<string>",
      "like_count": 123,
      "media_type": "<string>",
      "media_url": "<string>",
      "metadata": {},
      "permalink": "<string>",
      "platform": "<string>",
      "shares_count": 123,
      "timestamp": "<string>",
      "view_count": 123
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...

Path Parameters

id
string
required

Connected account ID

Query Parameters

limit
integer

Maximum number of results to return (1-100, default 20)

cursor
string

Pagination cursor returned by the previous response

Response

List of active stories

count
integer
data
object[]
next_cursor
string